webpackJsonp([9],{

/***/ 766:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UserAgreementPageModule", function() { return UserAgreementPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__user_agreement__ = __webpack_require__(815);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var UserAgreementPageModule = (function () {
    function UserAgreementPageModule() {
    }
    UserAgreementPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__user_agreement__["a" /* UserAgreementPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__user_agreement__["a" /* UserAgreementPage */]),
            ],
        })
    ], UserAgreementPageModule);
    return UserAgreementPageModule;
}());

//# sourceMappingURL=user-agreement.module.js.map

/***/ }),

/***/ 815:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserAgreementPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_http_http__ = __webpack_require__(66);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_storage_storage__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_dialog_dialog__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_platform_browser__ = __webpack_require__(41);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the UserAgreementPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var UserAgreementPage = (function () {
    function UserAgreementPage(navCtrl, viewCtrl, navParams, http, storage, dialog, sanitizer) {
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.dialog = dialog;
        this.sanitizer = sanitizer;
        this.data = [
            { img: null,
                titles: null,
                summary: null,
                description: null }
        ];
    }
    UserAgreementPage.prototype.ionViewDidLoad = function () {
        this.agreement();
        console.log('ionViewDidLoad HelpPage');
    };
    UserAgreementPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    UserAgreementPage.prototype.agreement = function () {
        var _this = this;
        this.http.postJson('', 'users/member/useprotocol', {
            "tables": "5",
            "file_type_id": "8",
            "soft_wen_type": "2",
            "limit": "10",
            "page": "1",
            "where": ["=", "is_display", "1"]
        }, '').then(function (res) {
            console.log(res);
            if (res['status'] == 200) {
                _this.getMessage(res['data']);
            }
        });
    };
    UserAgreementPage.prototype.getMessage = function (data) {
        this.data.splice(0);
        console.log(data);
        for (var _i = 0, data_1 = data; _i < data_1.length; _i++) {
            var message = data_1[_i];
            if (message) {
                var a = {
                    /*根据提供的接口地址传参数,配置文件在http.ts里查看,里面写的是链接服务器的配置*/
                    img: this.http.APP_IMG + message.url,
                    titles: message.titles,
                    summary: message.summary,
                    description: message.description
                };
                this.data.push(a);
            }
        }
        console.log(this.data);
    };
    UserAgreementPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-user-agreement',template:/*ion-inline-start:"F:\ionic\mzycApp\src\pages\user-agreement\user-agreement.html"*/'<!--\n\n  Generated template for the UserAgreementPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  \n\n    <ion-navbar>\n\n      <ion-title>用户协议</ion-title>\n\n    </ion-navbar>\n\n  \n\n  </ion-header>\n\n  \n\n  \n\n  <ion-content>\n\n    <ion-list>\n\n      <ion-item *ngFor="let msg of data">\n\n        <h2 class="ref-text">\n\n         {{msg.titles}}\n\n        </h2>\n\n      <h4>{{msg.summary}}</h4>\n\n      <div class="pmain_text" [innerHTML]="assembleHTML(msg.description)"></div>\n\n      <!--<p>{{msg.description}}</p>-->\n\n      </ion-item>\n\n    \n\n  \n\n    </ion-list>\n\n  </ion-content>\n\n'/*ion-inline-end:"F:\ionic\mzycApp\src\pages\user-agreement\user-agreement.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__providers_http_http__["a" /* HttpProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_storage_storage__["a" /* StorageProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_dialog_dialog__["a" /* DialogProvider */],
            __WEBPACK_IMPORTED_MODULE_5__angular_platform_browser__["c" /* DomSanitizer */]])
    ], UserAgreementPage);
    return UserAgreementPage;
}());

//# sourceMappingURL=user-agreement.js.map

/***/ })

});
//# sourceMappingURL=9.js.map